dvb_desc Struct Reference
Digital TV table parsing

Linked list containing the several descriptors found on a MPEG-TS table. More...

`#include <descriptors.h>`

## Data Fields

uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint8_t | data []

## Detailed Description

Linked list containing the several descriptors found on a MPEG-TS table.

Parameters

  type | Descriptor type
  length | Length of the descriptor
  next | pointer to the dvb_desc descriptor
  data | Descriptor data

Definition at line 117 of file descriptors.h.

## Field Documentation

## data

uint8_t dvb_desc::data[]

Definition at line 122 of file descriptors.h.

## length

uint8_t dvb_desc::length

Definition at line 119 of file descriptors.h.

## next

struct dvb_desc* dvb_desc::next

Definition at line 120 of file descriptors.h.

## type

uint8_t dvb_desc::type

Definition at line 118 of file descriptors.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/descriptors.h